Improve the process for GNU tools
[minix3.git] / external / bsd / flex / dist / tests / Makefile
blob82ad506e1065f5b8a78298b4fe575bab2f9da21d
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # tests/Makefile. Generated from Makefile.in by configure.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
18 # This file is part of flex.
20 # Redistribution and use in source and binary forms, with or without
21 # modification, are permitted provided that the following conditions
22 # are met:
24 # 1. Redistributions of source code must retain the above copyright
25 # notice, this list of conditions and the following disclaimer.
26 # 2. Redistributions in binary form must reproduce the above copyright
27 # notice, this list of conditions and the following disclaimer in the
28 # documentation and/or other materials provided with the distribution.
30 # Neither the name of the University nor the names of its contributors
31 # may be used to endorse or promote products derived from this software
32 # without specific prior written permission.
34 # THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
35 # IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
36 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
37 # PURPOSE.
40 am__make_dryrun = \
41 { \
42 am__dry=no; \
43 case $$MAKEFLAGS in \
44 *\\[\ \ ]*) \
45 echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
46 | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
47 *) \
48 for am__flg in $$MAKEFLAGS; do \
49 case $$am__flg in \
50 *=*|--*) ;; \
51 *n*) am__dry=yes; break;; \
52 esac; \
53 done;; \
54 esac; \
55 test $$am__dry = yes; \
57 pkgdatadir = $(datadir)/flex
58 pkgincludedir = $(includedir)/flex
59 pkglibdir = $(libdir)/flex
60 pkglibexecdir = $(libexecdir)/flex
61 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
62 install_sh_DATA = $(install_sh) -c -m 644
63 install_sh_PROGRAM = $(install_sh) -c
64 install_sh_SCRIPT = $(install_sh) -c
65 INSTALL_HEADER = $(INSTALL_DATA)
66 transform = $(program_transform_name)
67 NORMAL_INSTALL = :
68 PRE_INSTALL = :
69 POST_INSTALL = :
70 NORMAL_UNINSTALL = :
71 PRE_UNINSTALL = :
72 POST_UNINSTALL = :
73 build_triplet = x86_64-unknown-netbsd7.99.1
74 host_triplet = x86_64-unknown-netbsd7.99.1
75 subdir = tests
76 DIST_COMMON = README $(dist_noinst_SCRIPTS) $(srcdir)/Makefile.am \
77 $(srcdir)/Makefile.in
78 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
79 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
80 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
81 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
82 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
83 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
84 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
85 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
86 $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
87 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
88 $(ACLOCAL_M4)
89 mkinstalldirs = $(install_sh) -d
90 CONFIG_HEADER = $(top_builddir)/config.h
91 CONFIG_CLEAN_FILES =
92 CONFIG_CLEAN_VPATH_FILES =
93 SCRIPTS = $(dist_noinst_SCRIPTS)
94 SOURCES =
95 DIST_SOURCES =
96 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
97 html-recursive info-recursive install-data-recursive \
98 install-dvi-recursive install-exec-recursive \
99 install-html-recursive install-info-recursive \
100 install-pdf-recursive install-ps-recursive install-recursive \
101 installcheck-recursive installdirs-recursive pdf-recursive \
102 ps-recursive uninstall-recursive
103 am__can_run_installinfo = \
104 case $$AM_UPDATE_INFO_DIR in \
105 n|no|NO) false;; \
106 *) (install-info --version) >/dev/null 2>&1;; \
107 esac
108 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
109 distclean-recursive maintainer-clean-recursive
110 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
111 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
112 distdir
113 ETAGS = etags
114 CTAGS = ctags
115 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
116 am__relativize = \
117 dir0=`pwd`; \
118 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
119 sed_rest='s,^[^/]*/*,,'; \
120 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
121 sed_butlast='s,/*[^/]*$$,,'; \
122 while test -n "$$dir1"; do \
123 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
124 if test "$$first" != "."; then \
125 if test "$$first" = ".."; then \
126 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
127 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
128 else \
129 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
130 if test "$$first2" = "$$first"; then \
131 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
132 else \
133 dir2="../$$dir2"; \
134 fi; \
135 dir0="$$dir0"/"$$first"; \
136 fi; \
137 fi; \
138 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
139 done; \
140 reldir="$$dir2"
141 ACLOCAL = ${SHELL} /usr/src/external/bsd/flex/flex-2.5.39/missing --run aclocal-1.11
142 ALLOCA =
143 AMTAR = $${TAR-tar}
144 AR = ar
145 AUTOCONF = ${SHELL} /usr/src/external/bsd/flex/flex-2.5.39/missing --run autoconf
146 AUTOHEADER = ${SHELL} /usr/src/external/bsd/flex/flex-2.5.39/missing --run autoheader
147 AUTOMAKE = ${SHELL} /usr/src/external/bsd/flex/flex-2.5.39/missing --run automake-1.11
148 AWK = gawk
149 BISON = /usr/pkg/bin/bison
150 CC = gcc
151 CCDEPMODE = depmode=gcc3
152 CFLAGS = -g -O2
153 CPP = gcc -E
154 CPPFLAGS =
155 CXX = g++
156 CXXCPP = g++ -E
157 CXXDEPMODE = depmode=gcc3
158 CXXFLAGS = -g -O2
159 CYGPATH_W = echo
160 DEFS = -DHAVE_CONFIG_H
161 DEPDIR = .deps
162 DLLTOOL = false
163 DSYMUTIL =
164 DUMPBIN =
165 ECHO_C =
166 ECHO_N = -n
167 ECHO_T =
168 EGREP = /usr/bin/grep -E
169 EXEEXT =
170 FGREP = /usr/bin/grep -F
171 GETTEXT_MACRO_VERSION = 0.18
172 GMSGFMT = /usr/pkg/bin/msgfmt
173 GMSGFMT_015 = /usr/pkg/bin/msgfmt
174 GREP = /usr/bin/grep
175 HELP2MAN = /usr/pkg/bin/help2man
176 INDENT = /usr/bin/indent
177 INSTALL = /usr/bin/install -c
178 INSTALL_DATA = ${INSTALL} -m 644
179 INSTALL_PROGRAM = ${INSTALL}
180 INSTALL_SCRIPT = ${INSTALL}
181 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
182 INTLLIBS =
183 INTL_MACOSX_LIBS =
184 LD = /usr/bin/ld
185 LDFLAGS =
186 LEX = flex
187 LEXLIB = -lfl
188 LEX_OUTPUT_ROOT = lex.yy
189 LIBICONV =
190 LIBINTL =
191 LIBOBJS =
192 LIBS = -lm
193 LIBTOOL = $(SHELL) $(top_builddir)/libtool
194 LIPO =
195 LN_S = ln -s
196 LTLIBICONV =
197 LTLIBINTL =
198 LTLIBOBJS =
199 M4 = /usr/pkg/bin/gm4
200 MAKEINFO = ${SHELL} /usr/src/external/bsd/flex/flex-2.5.39/missing --run makeinfo
201 MANIFEST_TOOL = :
202 MKDIR_P = .././install-sh -c -d
203 MSGFMT = /usr/pkg/bin/msgfmt
204 MSGFMT_015 = /usr/pkg/bin/msgfmt
205 MSGMERGE = /usr/pkg/bin/msgmerge
206 NM = /usr/bin/nm -B
207 NMEDIT =
208 OBJDUMP = objdump
209 OBJEXT = o
210 OTOOL =
211 OTOOL64 =
212 PACKAGE = flex
213 PACKAGE_BUGREPORT = flex-help@lists.sourceforge.net
214 PACKAGE_NAME = the fast lexical analyser generator
215 PACKAGE_STRING = the fast lexical analyser generator 2.5.39
216 PACKAGE_TARNAME = flex
217 PACKAGE_URL =
218 PACKAGE_VERSION = 2.5.39
219 PATH_SEPARATOR = :
220 POSUB =
221 RANLIB = ranlib
222 SED = /usr/pkg/bin/gsed
223 SET_MAKE =
224 SHARED_VERSION_INFO = 2:0:0
225 SHELL = /bin/sh
226 STRIP = strip
227 USE_NLS = no
228 VERSION = 2.5.39
229 XGETTEXT = /usr/pkg/bin/xgettext
230 XGETTEXT_015 = /usr/pkg/bin/xgettext
231 XGETTEXT_EXTRA_OPTIONS =
232 YACC = bison -y
233 YFLAGS =
234 abs_builddir = /usr/src/external/bsd/flex/flex-2.5.39/tests
235 abs_srcdir = /usr/src/external/bsd/flex/flex-2.5.39/tests
236 abs_top_builddir = /usr/src/external/bsd/flex/flex-2.5.39
237 abs_top_srcdir = /usr/src/external/bsd/flex/flex-2.5.39
238 ac_ct_AR = ar
239 ac_ct_CC = gcc
240 ac_ct_CXX = g++
241 ac_ct_DUMPBIN =
242 am__include = include
243 am__leading_dot = .
244 am__quote =
245 am__tar = $${TAR-tar} chof - "$$tardir"
246 am__untar = $${TAR-tar} xf -
247 bindir = ${exec_prefix}/bin
248 build = x86_64-unknown-netbsd7.99.1
249 build_alias =
250 build_cpu = x86_64
251 build_os = netbsd7.99.1
252 build_vendor = unknown
253 builddir = .
254 datadir = ${datarootdir}
255 datarootdir = ${prefix}/share
256 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
257 dvidir = ${docdir}
258 exec_prefix = ${prefix}
259 host = x86_64-unknown-netbsd7.99.1
260 host_alias =
261 host_cpu = x86_64
262 host_os = netbsd7.99.1
263 host_vendor = unknown
264 htmldir = ${docdir}
265 includedir = ${prefix}/include
266 infodir = ${datarootdir}/info
267 install_sh = ${SHELL} /usr/src/external/bsd/flex/flex-2.5.39/install-sh
268 libdir = ${exec_prefix}/lib
269 libexecdir = ${exec_prefix}/libexec
270 localedir = ${datarootdir}/locale
271 localstatedir = ${prefix}/var
272 mandir = ${datarootdir}/man
273 mkdir_p = $(top_builddir)/./install-sh -c -d
274 oldincludedir = /usr/include
275 pdfdir = ${docdir}
276 prefix = /usr/local
277 program_transform_name = s,x,x,
278 psdir = ${docdir}
279 sbindir = ${exec_prefix}/sbin
280 sharedstatedir = ${prefix}/com
281 srcdir = .
282 sysconfdir = ${prefix}/etc
283 target_alias =
284 top_build_prefix = ../
285 top_builddir = ..
286 top_srcdir = ..
287 EXTRA_DIST = \
288 README
290 dist_noinst_SCRIPTS = \
291 create-test
293 DIST_SUBDIRS = \
294 test-concatenated-options \
295 test-c++-yywrap \
296 test-extended \
297 test-ccl \
298 test-quotes \
299 test-rescan-r \
300 test-rescan-nr \
301 test-basic-nr \
302 test-basic-r \
303 test-bison-yylloc \
304 test-bison-yylval \
305 test-bison-nr \
306 test-multiple-scanners-nr \
307 test-multiple-scanners-r \
308 test-header-nr \
309 test-header-r \
310 test-reject \
311 test-c++-multiple-scanners \
312 test-c++-basic \
313 test-posixly-correct \
314 test-posix \
315 test-mem-r \
316 test-mem-nr \
317 test-debug-nr \
318 test-debug-r \
319 test-lineno-r \
320 test-lineno-nr \
321 test-lineno-trailing \
322 test-linedir-r \
323 TEMPLATE \
324 test-top \
325 test-array-nr \
326 test-array-r \
327 test-c-cpp-nr \
328 test-c-cpp-r \
329 test-include-by-buffer \
330 test-include-by-push \
331 test-include-by-reentrant \
332 test-prefix-nr \
333 test-prefix-r \
334 test-pthread \
335 test-string-nr \
336 test-string-r \
337 test-yyextra \
338 test-alloc-extra \
339 test-noansi-nr \
340 test-noansi-r \
341 test-table-opts
343 SUBDIRS = \
344 test-concatenated-options \
345 test-c++-yywrap \
346 test-extended \
347 test-ccl \
348 test-quotes \
349 test-rescan-r \
350 test-rescan-nr \
351 test-basic-nr \
352 test-basic-r \
353 test-bison-yylloc \
354 test-bison-yylval \
355 test-bison-nr \
356 test-multiple-scanners-nr \
357 test-multiple-scanners-r \
358 test-header-nr \
359 test-header-r \
360 test-reject \
361 test-c++-multiple-scanners \
362 test-c++-basic \
363 test-posixly-correct \
364 test-posix \
365 test-mem-r \
366 test-mem-nr \
367 test-debug-nr \
368 test-debug-r \
369 test-lineno-r \
370 test-lineno-nr \
371 test-lineno-trailing \
372 test-linedir-r \
373 test-array-nr \
374 test-array-r \
375 test-c-cpp-nr \
376 test-c-cpp-r \
377 test-include-by-buffer \
378 test-include-by-push \
379 test-include-by-reentrant \
380 test-prefix-nr \
381 test-prefix-r \
382 test-pthread \
383 test-string-nr \
384 test-string-r \
385 test-yyextra \
386 test-alloc-extra \
387 test-noansi-nr \
388 test-noansi-r \
389 test-top \
390 test-table-opts
392 all: all-recursive
394 .SUFFIXES:
395 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
396 @for dep in $?; do \
397 case '$(am__configure_deps)' in \
398 *$$dep*) \
399 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
400 && { if test -f $@; then exit 0; else break; fi; }; \
401 exit 1;; \
402 esac; \
403 done; \
404 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
405 $(am__cd) $(top_srcdir) && \
406 $(AUTOMAKE) --gnu tests/Makefile
407 .PRECIOUS: Makefile
408 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
409 @case '$?' in \
410 *config.status*) \
411 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
412 *) \
413 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
414 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
415 esac;
417 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
418 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
420 $(top_srcdir)/configure: $(am__configure_deps)
421 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
422 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
423 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
424 $(am__aclocal_m4_deps):
426 mostlyclean-libtool:
427 -rm -f *.lo
429 clean-libtool:
430 -rm -rf .libs _libs
432 # This directory's subdirectories are mostly independent; you can cd
433 # into them and run `make' without going through this Makefile.
434 # To change the values of `make' variables: instead of editing Makefiles,
435 # (1) if the variable is set in `config.status', edit `config.status'
436 # (which will cause the Makefiles to be regenerated when you run `make');
437 # (2) otherwise, pass the desired values on the `make' command line.
438 $(RECURSIVE_TARGETS):
439 @fail= failcom='exit 1'; \
440 for f in x $$MAKEFLAGS; do \
441 case $$f in \
442 *=* | --[!k]*);; \
443 *k*) failcom='fail=yes';; \
444 esac; \
445 done; \
446 dot_seen=no; \
447 target=`echo $@ | sed s/-recursive//`; \
448 list='$(SUBDIRS)'; for subdir in $$list; do \
449 echo "Making $$target in $$subdir"; \
450 if test "$$subdir" = "."; then \
451 dot_seen=yes; \
452 local_target="$$target-am"; \
453 else \
454 local_target="$$target"; \
455 fi; \
456 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
457 || eval $$failcom; \
458 done; \
459 if test "$$dot_seen" = "no"; then \
460 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
461 fi; test -z "$$fail"
463 $(RECURSIVE_CLEAN_TARGETS):
464 @fail= failcom='exit 1'; \
465 for f in x $$MAKEFLAGS; do \
466 case $$f in \
467 *=* | --[!k]*);; \
468 *k*) failcom='fail=yes';; \
469 esac; \
470 done; \
471 dot_seen=no; \
472 case "$@" in \
473 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
474 *) list='$(SUBDIRS)' ;; \
475 esac; \
476 rev=''; for subdir in $$list; do \
477 if test "$$subdir" = "."; then :; else \
478 rev="$$subdir $$rev"; \
479 fi; \
480 done; \
481 rev="$$rev ."; \
482 target=`echo $@ | sed s/-recursive//`; \
483 for subdir in $$rev; do \
484 echo "Making $$target in $$subdir"; \
485 if test "$$subdir" = "."; then \
486 local_target="$$target-am"; \
487 else \
488 local_target="$$target"; \
489 fi; \
490 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
491 || eval $$failcom; \
492 done && test -z "$$fail"
493 tags-recursive:
494 list='$(SUBDIRS)'; for subdir in $$list; do \
495 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
496 done
497 ctags-recursive:
498 list='$(SUBDIRS)'; for subdir in $$list; do \
499 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
500 done
502 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
503 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
504 unique=`for i in $$list; do \
505 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
506 done | \
507 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
508 END { if (nonempty) { for (i in files) print i; }; }'`; \
509 mkid -fID $$unique
510 tags: TAGS
512 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
513 $(TAGS_FILES) $(LISP)
514 set x; \
515 here=`pwd`; \
516 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
517 include_option=--etags-include; \
518 empty_fix=.; \
519 else \
520 include_option=--include; \
521 empty_fix=; \
522 fi; \
523 list='$(SUBDIRS)'; for subdir in $$list; do \
524 if test "$$subdir" = .; then :; else \
525 test ! -f $$subdir/TAGS || \
526 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
527 fi; \
528 done; \
529 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
530 unique=`for i in $$list; do \
531 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
532 done | \
533 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
534 END { if (nonempty) { for (i in files) print i; }; }'`; \
535 shift; \
536 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
537 test -n "$$unique" || unique=$$empty_fix; \
538 if test $$# -gt 0; then \
539 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
540 "$$@" $$unique; \
541 else \
542 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
543 $$unique; \
544 fi; \
546 ctags: CTAGS
547 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
548 $(TAGS_FILES) $(LISP)
549 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
550 unique=`for i in $$list; do \
551 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
552 done | \
553 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
554 END { if (nonempty) { for (i in files) print i; }; }'`; \
555 test -z "$(CTAGS_ARGS)$$unique" \
556 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
557 $$unique
559 GTAGS:
560 here=`$(am__cd) $(top_builddir) && pwd` \
561 && $(am__cd) $(top_srcdir) \
562 && gtags -i $(GTAGS_ARGS) "$$here"
564 distclean-tags:
565 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
567 distdir: $(DISTFILES)
568 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
569 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
570 list='$(DISTFILES)'; \
571 dist_files=`for file in $$list; do echo $$file; done | \
572 sed -e "s|^$$srcdirstrip/||;t" \
573 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
574 case $$dist_files in \
575 */*) $(MKDIR_P) `echo "$$dist_files" | \
576 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
577 sort -u` ;; \
578 esac; \
579 for file in $$dist_files; do \
580 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
581 if test -d $$d/$$file; then \
582 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
583 if test -d "$(distdir)/$$file"; then \
584 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
585 fi; \
586 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
587 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
588 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
589 fi; \
590 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
591 else \
592 test -f "$(distdir)/$$file" \
593 || cp -p $$d/$$file "$(distdir)/$$file" \
594 || exit 1; \
595 fi; \
596 done
597 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
598 if test "$$subdir" = .; then :; else \
599 $(am__make_dryrun) \
600 || test -d "$(distdir)/$$subdir" \
601 || $(MKDIR_P) "$(distdir)/$$subdir" \
602 || exit 1; \
603 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
604 $(am__relativize); \
605 new_distdir=$$reldir; \
606 dir1=$$subdir; dir2="$(top_distdir)"; \
607 $(am__relativize); \
608 new_top_distdir=$$reldir; \
609 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
610 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
611 ($(am__cd) $$subdir && \
612 $(MAKE) $(AM_MAKEFLAGS) \
613 top_distdir="$$new_top_distdir" \
614 distdir="$$new_distdir" \
615 am__remove_distdir=: \
616 am__skip_length_check=: \
617 am__skip_mode_fix=: \
618 distdir) \
619 || exit 1; \
620 fi; \
621 done
622 check-am: all-am
623 $(MAKE) $(AM_MAKEFLAGS) check-local
624 check: check-recursive
625 all-am: Makefile $(SCRIPTS)
626 installdirs: installdirs-recursive
627 installdirs-am:
628 install: install-recursive
629 install-exec: install-exec-recursive
630 install-data: install-data-recursive
631 uninstall: uninstall-recursive
633 install-am: all-am
634 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
636 installcheck: installcheck-recursive
637 install-strip:
638 if test -z '$(STRIP)'; then \
639 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
640 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
641 install; \
642 else \
643 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
644 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
645 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
647 mostlyclean-generic:
649 clean-generic:
651 distclean-generic:
652 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
653 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
655 maintainer-clean-generic:
656 @echo "This command is intended for maintainers to use"
657 @echo "it deletes files that may require special tools to rebuild."
658 clean: clean-recursive
660 clean-am: clean-generic clean-libtool mostlyclean-am
662 distclean: distclean-recursive
663 -rm -f Makefile
664 distclean-am: clean-am distclean-generic distclean-tags
666 dvi: dvi-recursive
668 dvi-am:
670 html: html-recursive
672 html-am:
674 info: info-recursive
676 info-am:
678 install-data-am:
680 install-dvi: install-dvi-recursive
682 install-dvi-am:
684 install-exec-am:
686 install-html: install-html-recursive
688 install-html-am:
690 install-info: install-info-recursive
692 install-info-am:
694 install-man:
696 install-pdf: install-pdf-recursive
698 install-pdf-am:
700 install-ps: install-ps-recursive
702 install-ps-am:
704 installcheck-am:
706 maintainer-clean: maintainer-clean-recursive
707 -rm -f Makefile
708 maintainer-clean-am: distclean-am maintainer-clean-generic
710 mostlyclean: mostlyclean-recursive
712 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
714 pdf: pdf-recursive
716 pdf-am:
718 ps: ps-recursive
720 ps-am:
722 uninstall-am:
724 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
725 ctags-recursive install-am install-strip tags-recursive
727 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
728 all all-am check check-am check-local clean clean-generic \
729 clean-libtool ctags ctags-recursive distclean \
730 distclean-generic distclean-libtool distclean-tags distdir dvi \
731 dvi-am html html-am info info-am install install-am \
732 install-data install-data-am install-dvi install-dvi-am \
733 install-exec install-exec-am install-html install-html-am \
734 install-info install-info-am install-man install-pdf \
735 install-pdf-am install-ps install-ps-am install-strip \
736 installcheck installcheck-am installdirs installdirs-am \
737 maintainer-clean maintainer-clean-generic mostlyclean \
738 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
739 tags tags-recursive uninstall uninstall-am
742 # clean up before running the test suite so we dont test old builds of test code
744 check-local: clean
745 NOK=;\
746 NFAIL=;\
747 for dir in $(SUBDIRS) ; do \
748 echo Executing test "$$dir" ; \
749 ( cd "$$dir" && $(MAKE) test > OUTPUT 2>&1 ) ; \
750 case $$? in \
751 0 ) echo Test "$$dir" succeeded.; \
752 NOK=0$$NOK;\
753 ;; \
754 * ) echo Test "$$dir" FAILED. See "$$dir"/OUTPUT for details. ; \
755 NFAIL=0$$NFAIL; \
756 ;; \
757 esac; \
758 done ; \
759 echo Results: ; \
760 echo Tests succeeded: `echo -n "$$NOK"|wc -c`; \
761 echo Tests FAILED: `echo -n "$$NFAIL"|wc -c` ; \
762 test "$$NFAIL" = ""
764 # Tell versions [3.59,3.63) of GNU make to not export all variables.
765 # Otherwise a system limit (for SysV at least) may be exceeded.
766 .NOEXPORT: